import 'package:food_health/page/profile/edit/my_edit_page.dart';

import '../../page/record/detail/record_detail_page.dart';
import '../config/route_paths.dart';
import '../config/route_type.dart';

List<RouteType> serverRoutes = [
  RouteType(
    path: RoutePaths.myEdit,
    child: (state) {
      return MyEditPage();
    },
  ),

  RouteType(
    path: RoutePaths.detail,
    child: (state) {
      var extra = state.extra as dynamic;
      return RecordDetailPage(
        detail: extra,
      );
    },
  ),
];
